/[pkgs]/devel/texlive/texlive-2007-tmpcleanup.patch
ViewVC logotype

Contents of /devel/texlive/texlive-2007-tmpcleanup.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download) (as text)
Wed Aug 27 13:45:49 2008 UTC (14 months, 3 weeks ago) by jnovy
Branch: MAIN
CVS Tags: texlive-2007-46_fc13, texlive-2007-44_fc12, texlive-2007-39_fc11, texlive-2007-40_fc11, F-12-split, texlive-2007-41_fc10, texlive-2007-41_fc11, texlive-2007-36_fc11, texlive-2007-42_fc11, F-10-split, F-11-split, texlive-2007-47_fc13, texlive-2007-35_fc10, texlive-2007-37_fc11, texlive-2007-43_fc12, texlive-2007-38_fc11, texlive-2007-45_fc13, HEAD
Changes since 1.1: +28 -25 lines
File MIME type: text/x-patch
* Wed Aug 27 2008 Jindrich Novy <jnovy@redhat.com> - 2007-35
- texlive-context requires texlive-texmf-context (#455163)
- fix lacheck to not to segfault (#451513)
- rediff some patchesto be applicable with zero fuzz
1 diff -up texlive-2007/texk/tetex/fmtutil.tmpcleanup texlive-2007/texk/tetex/fmtutil
2 --- texlive-2007/texk/tetex/fmtutil.tmpcleanup 2008-08-27 13:31:03.000000000 +0200
3 +++ texlive-2007/texk/tetex/fmtutil 2008-08-27 13:31:03.000000000 +0200
4 @@ -354,11 +354,13 @@ main()
5 destdir= # global variable: where do we put the format files?
6 cnf_file= # global variable: full name of the config file
7 cmd= # desired action from command line
8 - needsCleanup=false
9 + needsCleanup=true
10 need_find_hyphenfile=false
11 cfgparam=
12 cfgmaint=
13 - tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX`
14 + tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX` || \
15 + abort "could not create temporary directory"
16 + trap -- "cleanup;" EXIT 1 2 3 7 13 15
17 verboseFlag=true
18
19 # mktexfmtMode: if called as mktexfmt, set to true. Will echo the
20 diff -up texlive-2007/texk/tetex/texconfig.tmpcleanup texlive-2007/texk/tetex/texconfig
21 --- texlive-2007/texk/tetex/texconfig.tmpcleanup 2008-08-27 13:31:03.000000000 +0200
22 +++ texlive-2007/texk/tetex/texconfig 2008-08-27 13:31:03.000000000 +0200
23 @@ -38,7 +38,8 @@ envVars="
24 TEXSOURCES TFMFONTS TRFONTS TTFONTS VFFONTS WEB2C WEBINPUTS
25 "
26 tmpdir=`mktemp -d "${TMP-/tmp}/$progname.XXXXXX"` || exit 1
27 -needsCleanup=false
28 +trap -- "cleanup;" EXIT 1 2 3 7 13 15
29 +needsCleanup=true
30 lastUpdatedFile=
31
32 ###############################################################################
33 diff -up texlive-2007/texk/tetex/updmap.tmpcleanup texlive-2007/texk/tetex/updmap
34 --- texlive-2007/texk/tetex/updmap.tmpcleanup 2008-08-27 13:31:03.000000000 +0200
35 +++ texlive-2007/texk/tetex/updmap 2008-08-27 13:31:03.000000000 +0200
36 @@ -1291,7 +1291,7 @@ main()
37 texhashEnabled=true
38 mkmapEnabled=true
39 verbose=true
40 - needsCleanup=false
41 + needsCleanup=true
42
43 cnfFileShort=updmap.cfg
44 cnfFile=
45 @@ -1299,7 +1299,8 @@ main()
46 : ${TEXMFMAIN=`kpsewhich -var-value=TEXMFMAIN`}
47
48 tmpdir=`mktemp -d ${TMP-/tmp}/$progname.XXXXXX` || \
49 - abort "could not create directory"
50 + abort "could not create temporary directory"
51 + trap -- "cleanup;" EXIT 1 2 3 7 13 15
52 tmp1=$tmpdir/a
53 tmp2=$tmpdir/b
54 tmp3=$tmpdir/c

admin@fedoraproject.org
ViewVC Help
Powered by ViewVC 1.1.2